/***
	Copyright (c) 2008 CommonsWare, LLC
	
	Licensed under the Apache License, Version 2.0 (the "License"); you may
	not use this file except in compliance with the License. You may obtain
	a copy of the License at
		http://www.apache.org/licenses/LICENSE-2.0
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/

package com.commonsware.android.prefs;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;

public class PrefsDemo extends Activity
	implements CompoundButton.OnCheckedChangeListener {
	CheckBox cb;
	
	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		setContentView(R.layout.main);
		
		cb=(CheckBox)findViewById(R.id.check);
		cb.setOnCheckedChangeListener(this);
		
		Button btn=(Button)findViewById(R.id.close);
		
		btn.setOnClickListener(new Button.OnClickListener() {
			public void onClick(View v) {
				finish();
			}
		});
	}
	
	public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
		if (isChecked) {
			cb.setText("This checkbox is: checked");
		}
		else {
			cb.setText("This checkbox is: unchecked");
		}
	}
	
	public void onResume() {
		super.onResume();
		
		SharedPreferences settings=getPreferences(0);
		
		cb.setChecked(settings.getBoolean("cb_checked", false));		
	}
	
	public void onPause() {
		super.onPause();
		
		SharedPreferences settings=getPreferences(0);
		SharedPreferences.Editor editor=settings.edit();
		
		editor.putBoolean("cb_checked", cb.isChecked());
		editor.commit();
	}
}